﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum AuthorizationStatusEnumType
    {
        /// <summary>
        ///  Identifier is allowed for charging.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Identifier has been blocked. Not allowed for charging.
        /// </summary>
        Blocked,
        /// <summary>
        ///  Identifier is already involved in another transaction and multiple transactions are not allowed. (Only relevant
        ///  for the response to a transactionEventRequest(eventType = Started).)
        /// </summary>
        ConcurrentTx,
        /// <summary>
        ///  Identifier has expired. Not allowed for charging.
        /// </summary>
        Expired,
        /// <summary>
        ///  Identifier is invalid. Not allowed for charging.
        /// </summary>
        Invalid,
        /// <summary>
        ///  Identifier is valid, but EV Driver doesn’t have enough credit to start charging. Not allowed for charging.        ///
        /// </summary>
        NotAllowedTypeEVSE,
        /// <summary>
        /// Identifier is valid, but not allowed to charge it this type of EVSE.
        /// </summary>
        NoCredit,
        /// <summary>
        /// Identifier is valid, but not allowed to charge at this location.
        /// </summary>
        NotAtThisLocation,
        /// <summary>
        ///  Identifier is valid, but not allowed to charge at this location at this time.
        /// </summary>
        NotAtThisTime,
        /// <summary>
        ///  Identifier is unknown. Not allowed for charging.
        /// </summary>
        Unknown
    }
}
