﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum IdTokenEnumType
    {
        /// <summary>
        /// A centrally, in the CSMS (or other server) generated id (for example used for a remotely started transaction
        ///that is activated by SMS). No format defined, might be a UUID.
        /// </summary>
        Central = 1,
        /// <summary>
        /// Electro-mobility account id as defined in ISO 15118
        /// </summary>
        eMAID = 2,
        /// <summary>
        /// ISO 14443 UID of RFID card. It is represented as an array of 4 or 7 bytes in hexadecimal representation.
        /// </summary>
        ISO14443 = 3,
        /// <summary>
        /// User use a private key-code to authorize a charging transaction. For example: Pin-code.
        /// </summary>
        KeyCode = 4,
        /// <summary>
        /// A locally generated id (e.g. internal id created by the Charging Station). No format defined, might be a UUID
        /// </summary>
        Local = 5,
        /// <summary>
        /// Transaction is started and no authorization possible. Charging Station only has a start button or mechanical
        ///key etc. IdToken field SHALL be left empty.
        /// </summary>
        NoAuthorization = 6,
        /// <summary>
        /// ISO 15693 UID of RFID card. It is represented as an array of 8 bytes in hexadecimal representation.
        /// </summary>
        ISO15693 = 7

    }
}
