﻿using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public class LogStatusNotificationRequest
    {
        /// <summary>
        /// This contains the status of the log upload.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public UploadLogStatusEnumType Status { set; get; }

        /// <summary>
        /// The request id that was provided in
        /// GetLogRequest that started this log upload. This field is
        ///mandatory, unless the message was triggered by a
        /// TriggerMessageRequest AND there is no log upload
        /// ongoing.
        /// </summary>
        public int RequestId { set; get; }
    }
}
