﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public class NotifyChargingLimitRequest
    {
        /// <summary>
        /// The charging schedule contained in this
        ///notification applies to an EVSE.evseId must be > 0.
        /// </summary>
        public int EvseId { set; get; }

        /// <summary>
        /// This contains the source of the charging limit
        ///and whether it is grid critical
        /// </summary>
        [Required]
        public ChargingLimitType ChargingLimit { set; get; }

        /// <summary>
        /// Contains limits for the available power or
        ///current over time, as set by the external source
        /// </summary>
        public List<ChargingScheduleType> ChargingSchedule { set; get; }
    } 
}
