﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum PublishFirmwareStatusEnumType
    {
        /// <summary>
        ///  Intermediate state. New firmware has been downloaded by Charging Station.
        /// </summary>
        Downloaded = 1,
        /// <summary>
        ///  Failure end state. Charging Station failed to download firmware.
        /// </summary>
        DownloadFailed,
        /// <summary>
        ///  Intermediate state. Firmware is being downloaded.
        /// </summary>
        Downloading,
        /// <summary>
        ///  Intermediate state. Downloading of new firmware has been scheduled.
        /// </summary>
        DownloadScheduled,
        /// <summary>
        /// Intermediate state. Downloading has been paused.
        /// </summary>
        DownloadPaused,
        /// <summary>
        ///  Publishing the new firmware has failed.
        /// </summary>
        PublishFailed,
        /// <summary>
        ///  The firmware has been successfully published.
        /// </summary>
        Published,
        /// <summary>
        /// Failure end state.The firmware checksum is not matching.
        /// </summary>
        InvalidChecksum,
        /// <summary>
        ///  Intermediate state.The Firmware checksum is successfully verified.
        /// </summary>
        ChecksumVerified
    }
}
