﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class GetVariableDataType
    {
        /// <summary>
        /// Attribute type for which value is requested.
        ///When absent, default Actual is assumed.
        /// </summary>
        [JsonConverter(typeof(StringEnumConverter))]
        public AttributeEnumType? AttributeType { set; get; }

        /// <summary>
        /// Component for which the Variable is requested
        /// </summary>
        [Required]
        public ComponentType Component { set; get; }

        /// <summary>
        /// Variable for which the attribute value is
        ///requested.
        /// </summary>
        [Required]
        public VariableType Variable { set; get; }
    }
}
