﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.DataTypes
{
    public class MonitoringDataType
    {
        /// <summary>
        /// Component for which monitoring report was
        ///requested.
        /// </summary>
        [Required]
        public ComponentType Component { set; get; }

        /// <summary>
        /// Variable for which monitoring report was
        /// requested.
        /// </summary>
        [Required]
        public VariableType Variable { set; get; }

        /// <summary>
        /// List of monitors for this Component-Variable
        /// pair.
        /// </summary>
        [Required]
        public List<VariableMonitoringType> VariableMonitoring { set; get; }
    }
}
