﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class RequestStartTransactionResponse
    {
        /// <summary>
        /// Status indicating whether the Charging Station
        ///accepts the request to start a transaction.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public RequestStartStopStatusEnumType Status { set; get; }

        /// <summary>
        /// When the transaction was already started by
        ///the Charging Station before the
        /// RequestStartTransactionRequest was received, for
        ///example: cable plugged in first.This contains the
        ///transactionId of the already started transaction.
        /// </summary>
        public string TransactionId { set; get; }
    }
}
