﻿using EVCB_OCPP.Packet20.DataTypes;
using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
   public class TriggerMessageRequest
    {
        /// <summary>
        /// Type of message to be triggered.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public MessageTriggerEnumType RequestedMessage { set; get; }

        /// <summary>
        /// Can be used to specifiy the EVSE and
       /// Connector if required for the message which needs to be
///sent.
        /// </summary>
        public EVSEType Evse { set; get; }
    }
}
